<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Page](./puppeteer.page.md) &gt; [goto](./puppeteer.page.goto.md)

## Page.goto() method

<b>Signature:</b>

```typescript
goto(url: string, options?: WaitForOptions & {
        referer?: string;
    }): Promise<HTTPResponse>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  url | string |  |
|  options | WaitForOptions &amp; { referer?: string; } |  |

<b>Returns:</b>

Promise&lt;[HTTPResponse](./puppeteer.httpresponse.md)<!-- -->&gt;

